## org.apache.jasper.runtime
Class HttpJspBase

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.jasper.runtime.HttpJspBase

All Implemented Interfaces:
  javax.servlet.jsp.HttpJspPage, javax.servlet.jsp.JspPage, java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public abstract class HttpJspBase
extends javax.servlet.http.HttpServlet
implements javax.servlet.jsp.HttpJspPage

This is the subclass of all JSP-generated servlets.

Author:
  Anil K. Vijendran
See Also:
  Serialized Form

Field Summary
`protected javax.servlet.jsp.PageContext` `pageContext`

Constructor Summary
`protected` `HttpJspBase()`

Method Summary
`protected void` `_jspDestroy()`
`abstract void` `_jspService(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `destroy()`
`abstract java.util.List` `getIncludes()` Get the list of compile time included files used by the JSP file.
`java.lang.String` `getServletInfo()`
`void` `init(javax.servlet.ServletConfig config)`
`void` `jspDestroy()`
`void` `jspInit()`
`void` `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Entry point into service.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.Servlet
`getServletConfig, service`

Field Detail

### pageContext

    protected javax.servlet.jsp.PageContext pageContext

Constructor Detail

### HttpJspBase

    protected HttpJspBase()

Method Detail

### init

    public final void init(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Throws:
    `javax.servlet.ServletException`

### getServletInfo

    public java.lang.String getServletInfo()

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`

### destroy

    public final void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`

### service

    public final void service(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

  Entry point into service.

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### jspInit

    public void jspInit()

  Specified by:
    `jspInit` in interface `javax.servlet.jsp.JspPage`

### jspDestroy

    public void jspDestroy()

  Specified by:
    `jspDestroy` in interface `javax.servlet.jsp.JspPage`

### _jspDestroy

    protected void _jspDestroy()

### getIncludes

    public abstract java.util.List getIncludes()

  Get the list of compile time included files used by the JSP file. Overridden by generated JSP java source files.

  Returns:
    List compile time includes

### _jspService

    public abstract void _jspService(javax.servlet.http.HttpServletRequest request,
                                     javax.servlet.http.HttpServletResponse response)
                              throws javax.servlet.ServletException,
                                     java.io.IOException

  Specified by:
    `_jspService` in interface `javax.servlet.jsp.HttpJspPage`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.